% This is the counter for the occurrence of Friday the 13th in a four-year
% Gregorian Calendar span, with each calendar year beginning on Jan 1 and
% ending on Dec 31.

clear;
close all;
clc;

%% Beginning of script
types = {
    'CCCL';
    'CCLC';
    'CLCC';
    'LCCC';
    'CCCC';
};

for j = 1:length(types)
    type = types{j};
    maxFr13 = 0;
    maxStartDay = -1;

    for startDay = 0:6
        numFr13 = countFr13(type, startDay);
        if numFr13 > maxFr13
           maxFr13 = numFr13;
           maxStartDay = startDay;
        end
    end

    fprintf('For case %s, the most Fr13 occurring is: %d when Jan 13th of the first year falls on a %s.\n',...
        type, maxFr13, weekToStr(maxStartDay));
end