% This is the counter for the occurrence of Friday the 13th in a four-year
% Gregorian Calendar span, with each calendar year beginning on the 1st of
% any arbitrary month and ending on the last day of the previous month of
% the fourth year.

clear;
close all;
clc;

%% Beginning of script
types = {
    'CCCL';
    'CCLC';
    'CLCC';
    'LCCCL';
    'LCCCC';
    'CCCCL';
    'CCCCC';
};

for j = 1:length(types)
    type = types{j};
    maxStartMonth = -1;
    maxFr13 = 0;
    maxStartDay = -1;
    
    for startMonth = 1:12
        maxFr13Temp = 0;
        maxStartDayTemp = -1;
        for startDay = 0:6
            numFr13 = countFr13(type, startDay, startMonth);
            if numFr13 > maxFr13Temp
               maxFr13Temp = numFr13;
               maxStartDayTemp = startDay;
            end
        end
        
        if maxFr13 < maxFr13Temp
            maxFr13 = maxFr13Temp;
            maxStartMonth = startMonth;
            maxStartDay = maxStartDayTemp;
        end
    end

    fprintf('For case %s, the most Fr13 occurring is: %d when we start on the 13th of %s that falls on a %s.\n',...
        type, maxFr13, monthToStr(maxStartMonth), weekToStr(maxStartDay));
end