function newDayOfTheWeek = getDaysAdvanced(curMonthDays, oldDayOfTheWeek)
    % Given the number of days of the current month, get the number of days
    % advanced ahead in the next month for each same day of the two months,
    % and return the new day of the week from the old one.
    % For example: if the input is (31, 2), meaning that the current month has
    % 31 days (say October), and a particular day in mind (say Oct 13)
    % falls on the Tuesday (second arg being 2), then the function would
    % return the new day of the week in the following months (i.e. Nov 13
    % for this case).
    
    % Days of the week mapping:
    % 0 -- Sunday
    % 1 -- Monday
    % 2 -- Tuesday
    % 3 -- Wednesday
    % 4 -- Thursday
    % 5 -- Friday
    % 6 -- Saturday
    
    daysAdvanced = mod(curMonthDays, 7);
    newDayOfTheWeek = mod(oldDayOfTheWeek + daysAdvanced, 7);
end

